Issue240

Title Standalone: Fails with reportlab fails, compilation regressed in 0.5.14
Priority bug Status resolved
Superseder Nosy List brds, kayhayen
Assigned To kayhayen Keywords compiler, standalone

Created on 2015-09-03.07:25:10 by brds, last changed by kayhayen.

Messages
msg1507 (view) Author: kayhayen Date: 2015-09-07.08:20:02
Released as 0.5.14.2, packages are building.
msg1505 (view) Author: kayhayen Date: 2015-09-06.22:34:34
Hello,

there is a branch hotfix/0.5.14.2 in the offical git repository which addresses it. 
The standalone usage of reportlab seems OK with that. I am running the tests over 
the backport of the missing optimization for the C error. Then this will become an 
official release.

The issue was not windows specific, removed that tag.

Yours,
Kay
msg1502 (view) Author: kayhayen Date: 2015-09-06.09:32:05
My current working code was not affected by the C error, probably because it has 
seen major optimization changes. I did resolve the implicit import missing in 
the plugin code, basically this does it:

        elif full_name == "reportlab.rl_config":
            yield "reportlab.rl_settings"

Can you check it out, and tell me if you find more issues?

Yours,
Kay
msg1497 (view) Author: brds Date: 2015-09-03.07:25:10
Hi,

I'm trying to test standalone mode with reportlab.

Windows 7 64 bits
Python 3.4.3 32 bits

Reportlab installed with pip (pip install reportlab)

Mingw64 5.1 32 bits

nuitka --standalone --python-version=3.4 --mingw --lto --output-dir=.\distri test.py

Here is the sample test.py :

import reportlab.pdfgen.canvas, reportlab.lib.pagesizes, reportlab.lib.utils

c = reportlab.pdfgen.canvas.Canvas("foo.pdf",
pagesize=reportlab.lib.pagesizes.landscape(reportlab.lib.pagesizes.A4))

c.setFontSize(20)
c.drawString(40, 572, "Hello !")

c.save()



With Nuikta 0.5.13.8 the compiler complains and create an executable but I have
to copy reportlab directory (from Lib/site-packages) in executable location.

With Nuitka 0.5.14 the compiler raises an error :
label 'frame_exception_exit_1' used but not defined.

Thanks
History
Date User Action Args
2015-09-07 08:20:02kayhayensetstatus: testing -> resolved
messages: + msg1507
2015-09-06 22:34:34kayhayensetassignedto: kayhayen
title: Standalone Reportlab fails -> Standalone: Fails with reportlab fails, compilation regressed in 0.5.14
messages: + msg1505
keyword: - windows
nosy: + kayhayen
2015-09-06 09:32:05kayhayensetstatus: unread -> testing
messages: + msg1502
2015-09-03 07:25:10brdscreate